Liblinphone: linphone::VideoSourceDescriptor Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::VideoSourceDescriptor Class Reference

Object that is used to describe a video source. More...

`#include <video_source_descriptor.hh>`

Inheritance diagram for linphone::VideoSourceDescriptor:

## Public Member Functions
LINPHONECXX_PUBLIC | VideoSourceDescriptor (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneVideoSourceDescriptor * | cPtr ()
LINPHONECXX_PUBLIC std::shared_ptr< linphone::Call > | getCall () const
| Gets the call of a VideoSourceDescriptor.
LINPHONECXX_PUBLIC void | setCall (const std::shared_ptr< linphone::Call > &call)
| Sets the source of a VideoSourceDescriptor with a call.
LINPHONECXX_PUBLIC std::string | getCameraId () const
| Gets the camera id of a VideoSourceDescriptor.
LINPHONECXX_PUBLIC void | setCameraId (const std::string &cameraId)
| Sets the source of a VideoSourceDescriptor with a camera id.
LINPHONECXX_PUBLIC std::string | getImage () const
| Gets the image path of a VideoSourceDescriptor.
LINPHONECXX_PUBLIC void | setImage (const std::string &imagePath)
| Sets the source of a VideoSourceDescriptor with an image path.
LINPHONECXX_PUBLIC linphone::VideoSourceType | getType () const
| Gets the type of a VideoSourceDescriptor.
LINPHONECXX_PUBLIC std::shared_ptr< linphone::VideoSourceDescriptor > | clone () const
| Instantiate a new video source descriptor with values from source.

## Detailed Description

Object that is used to describe a video source.

## Member Function Documentation

## ◆ clone()

LINPHONECXX_PUBLIC std::shared_ptr< linphone::VideoSourceDescriptor > linphone::VideoSourceDescriptor::clone | ( |  | ) | const

Instantiate a new video source descriptor with values from source.

Returns
  The newly created VideoSourceDescriptor object.

## ◆ getCall()

LINPHONECXX_PUBLIC std::shared_ptr< linphone::Call > linphone::VideoSourceDescriptor::getCall | ( |  | ) | const

Gets the call of a VideoSourceDescriptor.

Returns
  The Call of the video source descriptor if it's type is LinphoneVideoSourceCall, nullptr otherwise.

## ◆ getCameraId()

LINPHONECXX_PUBLIC std::string linphone::VideoSourceDescriptor::getCameraId | ( |  | ) | const

Gets the camera id of a VideoSourceDescriptor.

Returns
  The camera id of the video source descriptor if it's type is LinphoneVideoSourceCamera, nullptr otherwise.

## ◆ getImage()

LINPHONECXX_PUBLIC std::string linphone::VideoSourceDescriptor::getImage | ( |  | ) | const

Gets the image path of a VideoSourceDescriptor.

Returns
  The image path of the video source descriptor if it's type is LinphoneVideoSourceImage, nullptr otherwise.

## ◆ getType()

LINPHONECXX_PUBLIC linphone::VideoSourceType linphone::VideoSourceDescriptor::getType | ( |  | ) | const

Gets the type of a VideoSourceDescriptor.

Returns
  The VideoSourceType corresponding to this video source descriptor.

## ◆ setCall()

LINPHONECXX_PUBLIC void linphone::VideoSourceDescriptor::setCall | ( | const std::shared_ptr< linphone::Call > & | call | ) |

Sets the source of a VideoSourceDescriptor with a call.

Setting a VideoSourceDescriptor with a call will require the lib to have two calls running at the same time. To do so the media resource mode has to be set to LinphoneSharedMediaResources with Core::setMediaResourceMode().

Parameters

  call | The Call that will be used as a video source.

## ◆ setCameraId()

LINPHONECXX_PUBLIC void linphone::VideoSourceDescriptor::setCameraId | ( | const std::string & | cameraId | ) |

Sets the source of a VideoSourceDescriptor with a camera id.

Parameters

  cameraId | The camera id that will be used as a video source.

## ◆ setImage()

LINPHONECXX_PUBLIC void linphone::VideoSourceDescriptor::setImage | ( | const std::string & | imagePath | ) |

Sets the source of a VideoSourceDescriptor with an image path.

Parameters

  imagePath | The image path that will be used as a video source.

The documentation for this class was generated from the following file:

- video_source_descriptor.hh